Bug 1131828 - Test upgrade path from Fedora 19 with oVirt 3.5.z to Fedora 20
Summary: Test upgrade path from Fedora 19 with oVirt 3.5.z to Fedora 20
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-installer
Version: 3.5
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 3.5.1
Assignee: Sandro Bonazzola
QA Contact: Petr Kubica
URL: http://fedoraproject.org/wiki/Release...
Whiteboard: integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-20 06:50 UTC by Sandro Bonazzola
Modified: 2015-01-21 16:06 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1234257 (view as bug list)
Environment:
Last Closed: 2015-01-21 16:06:43 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Sandro Bonazzola 2014-08-20 06:50:58 UTC
Fedora 21 is expected to be released on 2014-11-11 [1], this means Fedora 19 is expected to go End Of Life on 2014-12-11 (one month
later F21 release)[2].

We can expect users to upgrade to latest 3.5.z available for Fedora 19 and then upgrade to Fedora 20.

[1] http://fedoraproject.org/wiki/Releases/21/Schedule
[2] https://fedoraproject.org/wiki/Fedora_Release_Life_Cycle#Maintenance_Schedule

Comment 1 Sandro Bonazzola 2014-10-23 15:43:41 UTC
installed a clean F19.

yum distro-sync

installed ovirt-release35.noarch 0:001-1
installed ovirt-engine.noarch 0:3.5.0.1-1.fc19


          --== CONFIGURATION PREVIEW ==--
         
          Application mode                        : both
          Datacenter storage type                 : False
          Firewall manager                        : firewalld
          Update Firewall                         : True
          Host FQDN                               : fedoraupgrade.home
          Engine database name                    : engine
          Engine database secured connection      : False
          Engine database host                    : localhost
          Engine database user name               : engine
          Engine database host name validation    : False
          Engine database port                    : 5432
          Engine installation                     : True
          NFS setup                               : True
          PKI organization                        : home
          NFS mount point                         : /var/lib/exports/iso
          NFS export ACL                          : fedoraupgrade.home(rw)
          Configure local Engine database         : True
          Set application as default page         : True
          Configure Apache SSL                    : True
          Configure WebSocket Proxy               : True
         
          Please confirm installation settings (OK, Cancel) [OK]: 

connected to fedoraupgrade.home:
Welcome to Open Virtualization Manager Version 3.5.0.1-1.fc19 


Before starting the upgrade be sure to have a backup!

Installed fedup.noarch 0:0.8.0-4.fc19

fedup --network 20

Finished. Reboot to start upgrade.
Packages without updates:
  asm2-2.2.3-13.fc19.noarch
  bouncycastle-tsp-1.46-6.fc19.noarch
  easymock2-2.5.2-9.fc19.noarch
  jbosgi-resolver1-1.0.13-6.fc19.noarch
  jboss-naming-5.0.6-0.6.CR1.fc19.noarch
  jbossws-native-4.1.0-5.fc19.noarch
  kernel-3.14.22-100.fc19.x86_64
  ovirt-engine-3.5.0.1-1.fc19.noarch
  ovirt-engine-backend-3.5.0.1-1.fc19.noarch
  ovirt-engine-dbscripts-3.5.0.1-1.fc19.noarch
  ovirt-engine-restapi-3.5.0.1-1.fc19.noarch
  ovirt-engine-tools-3.5.0.1-1.fc19.noarch
  ovirt-engine-userportal-3.5.0.1-1.fc19.noarch
  ovirt-engine-webadmin-portal-3.5.0.1-1.fc19.noarch
  ovirt-release35-001-1.noarch
  picketbox-xacml-2.0.7-5.fc19.noarch
  snappy-java-1.0.4.1-5.fc19.noarch


After reboot the following packages are on the system:

# rpm -qa |grep ovirt
ovirt-engine-userportal-3.5.0.1-1.fc19.noarch
ovirt-engine-websocket-proxy-3.5.0.1-1.fc20.noarch
ovirt-engine-cli-3.5.0.5-1.fc20.noarch
ovirt-engine-extensions-api-impl-3.5.0.1-1.fc20.noarch
ovirt-image-uploader-3.5.0-1.fc20.noarch
ovirt-engine-lib-3.5.0.1-1.fc20.noarch
ovirt-engine-setup-plugin-ovirt-engine-common-3.5.0.1-1.fc20.noarch
ovirt-host-deploy-java-1.3.0-1.fc20.noarch
ovirt-engine-setup-plugin-websocket-proxy-3.5.0.1-1.fc20.noarch
ovirt-engine-restapi-3.5.0.1-1.fc19.noarch
ovirt-release35-001-1.noarch
ovirt-engine-tools-3.5.0.1-1.fc19.noarch
ovirt-host-deploy-1.3.0-1.fc20.noarch
ovirt-engine-dbscripts-3.5.0.1-1.fc19.noarch
ovirt-engine-3.5.0.1-1.fc19.noarch
ovirt-engine-setup-3.5.0.1-1.fc20.noarch
ovirt-iso-uploader-3.5.0-1.fc20.noarch
ovirt-engine-setup-base-3.5.0.1-1.fc20.noarch
ovirt-engine-setup-plugin-ovirt-engine-3.5.0.1-1.fc20.noarch
ovirt-engine-sdk-python-3.5.0.7-1.fc20.noarch
sos-3.1-1.1.fc20.ovirt.noarch
ovirt-engine-backend-3.5.0.1-1.fc19.noarch
ovirt-engine-webadmin-portal-3.5.0.1-1.fc19.noarch

# service httpd status
httpd.service - The Apache HTTP Server
   Loaded: loaded (/usr/lib/systemd/system/httpd.service; enabled)
   Active: active (running)

# service postgresql status
Redirecting to /bin/systemctl status  postgresql.service
postgresql.service - PostgreSQL database server
   Loaded: loaded (/usr/lib/systemd/system/postgresql.service; enabled)
   Active: failed

ott 23 13:50:35 fedoraupgrade.home postgresql-check-db-dir[686]: An old version of the database format was found.
ott 23 13:50:35 fedoraupgrade.home postgresql-check-db-dir[686]: Use "postgresql-setup upgrade" to upgrade to version 9.3.
ott 23 13:50:35 fedoraupgrade.home postgresql-check-db-dir[686]: See /usr/share/doc/postgresql/README.rpm-dist for more information.

installed postgresql-upgrade.x86_64 0:9.3.5-1.fc20

following https://fedoraproject.org/wiki/PostgreSQL#Upgrade


# postgresql-setup upgrade
Upgrading database: OK

The configuration files were replaced by default configuration.
The previous configuration and data are stored in folder
/var/lib/pgsql/data-old.

See /var/lib/pgsql/pgupgrade.log for details.

fix postgresql configuration by hand:
# cd /var/lib/pgsql/
# cp data-old/pg_hba.conf data/pg_hba.conf

and fix some lines in postgressql.conf:

--- data/postgresql.conf	2014-10-23 16:08:10.355806545 +0200
+++ data-old/postgresql.conf	2014-10-23 13:09:02.984990713 +0200
@@ -57,13 +57,15 @@
 # - Connection Settings -
 
 #listen_addresses = 'localhost'		# what IP address(es) to listen on;
+listen_addresses = '*'
 					# comma-separated list of addresses;
 					# defaults to 'localhost'; use '*' for all
 					# (change requires restart)
 #port = 5432				# (change requires restart)
 # Note: In RHEL/Fedora installations, you can't set the port number here;
 # adjust it in the service file instead.
-max_connections = 100			# (change requires restart)
+# max_connections = 100			# (change requires restart)
+max_connections = 150
 # Note:  Increasing max_connections costs ~400 bytes of shared memory per
 # connection slot, plus lock space (see max_locks_per_transaction).
 #superuser_reserved_connections = 3	# (change requires restart)
@@ -81,7 +83,7 @@


# service postgresql start
# service postgresql status
   Loaded: loaded (/usr/lib/systemd/system/postgresql.service; enabled)
   Active: active (running)

# service ovirt-engine status
   Loaded: loaded (/usr/lib/systemd/system/ovirt-engine.service; enabled)
   Active: failed 
ovirt-engine: ERROR run:532 Error: File '/usr/share/jboss-as/jboss-modules.jar' is required but missing


Run engine-setup without rollback since you can't rollback to Fedora 19!


# engine-setup 
[ INFO  ] Stage: Initializing
[ INFO  ] Stage: Environment setup
          Configuration files: ['/etc/ovirt-engine-setup.conf.d/10-packaging-jboss.conf', '/etc/ovirt-engine-setup.conf.d/10-packaging.conf', '/etc/ovirt-engine-setup.conf.d/20-setup-ovirt-post.conf']
          Log file: /var/log/ovirt-engine/setup/ovirt-engine-setup-20141023162134-w5br9k.log
          Version: otopi-1.3.0 (otopi-1.3.0-1.fc20)
[ INFO  ] Stage: Environment packages setup
[ INFO  ] Stage: Programs detection
[ INFO  ] Stage: Environment setup
[ INFO  ] Stage: Environment customization
         
          --== PRODUCT OPTIONS ==--
         
         
          --== PACKAGES ==--
         
[ INFO  ] Checking for product updates...
          Setup has found updates for some packages, do you wish to update them now? (Yes, No) [Yes]: 
[ INFO  ] Checking for an update for Setup...
          Setup will not be able to rollback new packages in case of a failure, because installed ones were not found in enabled repositories.
          Do you want to abort Setup? (Yes, No) [Yes]: no
         
          --== ALL IN ONE CONFIGURATION ==--
         
         
          --== NETWORK CONFIGURATION ==--
         
          Setup can automatically configure the firewall on this system.
          Note: automatic configuration of the firewall may overwrite current settings.
          Do you want Setup to configure the firewall? (Yes, No) [Yes]: 
[ INFO  ] firewalld will be configured as firewall manager.
[WARNING] Failed to resolve fedoraupgrade.home using DNS, it can be resolved only locally
         
          --== DATABASE CONFIGURATION ==--
         
         
          --== OVIRT ENGINE CONFIGURATION ==--
         
          Skipping storing options as database already prepared
         
          --== PKI CONFIGURATION ==--
         
         
          --== APACHE CONFIGURATION ==--
         
         
          --== SYSTEM CONFIGURATION ==--
         
         
          --== MISC CONFIGURATION ==--
         
         
          --== END OF CONFIGURATION ==--
         
[ INFO  ] Stage: Setup validation
[WARNING] Warning: Not enough memory is available on the host. Minimum requirement is 4096MB, and 16384MB is recommended.
          Do you want Setup to continue, with amount of memory less than recommended? (Yes, No) [No]: yes
[ INFO  ] Cleaning stale zombie tasks
         
          --== CONFIGURATION PREVIEW ==--
         
          Datacenter storage type                 : False
          Firewall manager                        : firewalld
          Update Firewall                         : True
          Host FQDN                               : fedoraupgrade.home
          Require packages rollback               : False
          Upgrade packages                        : True
          Engine database name                    : engine
          Engine database secured connection      : False
          Engine database host                    : localhost
          Engine database user name               : engine
          Engine database host name validation    : False
          Engine database port                    : 5432
          Engine installation                     : True
          NFS mount point                         : /var/lib/exports/iso
          Configure WebSocket Proxy               : True
         
          Please confirm installation settings (OK, Cancel) [OK]: 
[ INFO  ] Cleaning async tasks and compensations
[ INFO  ] Checking the Engine database consistency
[ INFO  ] Stage: Transaction setup
[ INFO  ] Stopping engine service
[ INFO  ] Stopping ovirt-fence-kdump-listener service
[ INFO  ] Stopping websocket-proxy service
[ INFO  ] Stage: Misc configuration
[ INFO  ] Stage: Package installation
[ INFO  ] Yum Status: Downloading Packages
[ INFO  ] Yum Download/Verify: ovirt-engine-3.5.0.1-1.fc20.noarch
[ INFO  ] Yum Downloading: (2/8): ovirt-engine-backend-3.5.0.1-1.fc20.noarch.rpm 3.4 M(71%)
[ INFO  ] Yum Download/Verify: ovirt-engine-backend-3.5.0.1-1.fc20.noarch
[ INFO  ] Yum Download/Verify: ovirt-engine-dbscripts-3.5.0.1-1.fc20.noarch
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 3.4 M(2%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 6.6 M(5%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 9.4 M(8%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 12 M(10%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 15 M(12%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 18 M(15%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 21 M(17%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 24 M(20%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 27 M(22%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 29 M(25%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 32 M(27%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 35 M(29%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 38 M(32%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 41 M(34%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 44 M(37%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 46 M(39%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 49 M(42%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 52 M(44%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 54 M(46%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 54 M(46%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 57 M(48%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 59 M(50%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 62 M(52%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 64 M(54%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 67 M(56%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 69 M(58%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 71 M(61%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 74 M(63%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 76 M(65%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 79 M(67%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 81 M(69%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 84 M(71%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 86 M(73%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 89 M(75%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 91 M(78%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 94 M(80%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 96 M(82%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 99 M(84%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 101 M(86%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 104 M(88%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 106 M(90%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 109 M(92%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 111 M(94%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 114 M(97%)
[ INFO  ] Yum Downloading: (4/8): ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64.rpm 116 M(99%)
[ INFO  ] Yum Download/Verify: ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64
[ INFO  ] Yum Download/Verify: ovirt-engine-restapi-3.5.0.1-1.fc20.noarch
[ INFO  ] Yum Download/Verify: ovirt-engine-tools-3.5.0.1-1.fc20.noarch
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 2.4 M(3%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 4.9 M(7%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 7.4 M(10%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 9.9 M(14%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 12 M(17%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 15 M(21%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 17 M(24%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 20 M(28%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 22 M(31%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 25 M(35%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 27 M(38%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 30 M(42%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 32 M(46%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 35 M(49%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 37 M(53%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 40 M(56%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 42 M(60%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 44 M(63%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 47 M(67%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 49 M(70%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 52 M(74%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 54 M(77%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 57 M(81%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 59 M(84%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 61 M(88%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 64 M(91%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 66 M(95%)
[ INFO  ] Yum Downloading: (7/8): ovirt-engine-userportal-3.5.0.1-1.fc20.noarch.rpm 69 M(98%)
[ INFO  ] Yum Download/Verify: ovirt-engine-userportal-3.5.0.1-1.fc20.noarch
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 2.4 M(2%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 4.9 M(4%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 7.2 M(6%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 9.7 M(8%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 12 M(10%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 15 M(12%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 17 M(14%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 19 M(16%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 22 M(18%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 24 M(20%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 27 M(22%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 29 M(24%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 32 M(27%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 34 M(29%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 37 M(31%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 39 M(33%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 41 M(35%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 44 M(37%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 46 M(39%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 49 M(41%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 51 M(43%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 54 M(45%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 56 M(47%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 59 M(50%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 61 M(52%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 64 M(54%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 66 M(56%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 69 M(58%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 71 M(60%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 74 M(62%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 76 M(64%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 79 M(66%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 81 M(68%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 84 M(70%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 86 M(73%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 89 M(75%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 91 M(77%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 93 M(79%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 96 M(81%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 98 M(83%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 101 M(85%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 103 M(87%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 106 M(89%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 108 M(91%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 111 M(94%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 113 M(96%)
[ INFO  ] Yum Downloading: (8/8): ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch.rpm 116 M(98%)
[ INFO  ] Yum Download/Verify: ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch
[ INFO  ] Yum Status: Check Package Signatures
[ INFO  ] Yum Status: Running Test Transaction
[ INFO  ] Yum Status: Running Transaction
[ INFO  ] Yum install: 1/15: ovirt-engine-jboss-as-7.1.1-1.fc20.x86_64
[ INFO  ] Yum update: 2/15: ovirt-engine-userportal-3.5.0.1-1.fc20.noarch
[ INFO  ] Yum update: 3/15: ovirt-engine-tools-3.5.0.1-1.fc20.noarch
[ INFO  ] Yum update: 4/15: ovirt-engine-backend-3.5.0.1-1.fc20.noarch
[ INFO  ] Yum update: 5/15: ovirt-engine-restapi-3.5.0.1-1.fc20.noarch
[ INFO  ] Yum update: 6/15: ovirt-engine-dbscripts-3.5.0.1-1.fc20.noarch
[ INFO  ] Yum update: 7/15: ovirt-engine-3.5.0.1-1.fc20.noarch
[ INFO  ] Yum update: 8/15: ovirt-engine-webadmin-portal-3.5.0.1-1.fc20.noarch
[ INFO  ] Yum updated: 9/15: ovirt-engine-backend
[ INFO  ] Yum updated: 10/15: ovirt-engine-dbscripts
[ INFO  ] Yum updated: 11/15: ovirt-engine-restapi
[ INFO  ] Yum updated: 12/15: ovirt-engine-tools
[ INFO  ] Yum updated: 13/15: ovirt-engine-userportal
[ INFO  ] Yum updated: 14/15: ovirt-engine
[ INFO  ] Yum updated: 15/15: ovirt-engine-webadmin-portal
[ INFO  ] Yum Verify: 1/15: ovirt-engine-webadmin-portal.noarch 0:3.5.0.1-1.fc20 - u
[ INFO  ] Yum Verify: 2/15: ovirt-engine-jboss-as.x86_64 0:7.1.1-1.fc20 - u
[ INFO  ] Yum Verify: 3/15: ovirt-engine-userportal.noarch 0:3.5.0.1-1.fc20 - u
[ INFO  ] Yum Verify: 4/15: ovirt-engine-tools.noarch 0:3.5.0.1-1.fc20 - u
[ INFO  ] Yum Verify: 5/15: ovirt-engine.noarch 0:3.5.0.1-1.fc20 - u
[ INFO  ] Yum Verify: 6/15: ovirt-engine-backend.noarch 0:3.5.0.1-1.fc20 - u
[ INFO  ] Yum Verify: 7/15: ovirt-engine-restapi.noarch 0:3.5.0.1-1.fc20 - u
[ INFO  ] Yum Verify: 8/15: ovirt-engine-dbscripts.noarch 0:3.5.0.1-1.fc20 - u
[ INFO  ] Yum Verify: 9/15: ovirt-engine.noarch 0:3.5.0.1-1.fc19 - ud
[ INFO  ] Yum Verify: 10/15: ovirt-engine-dbscripts.noarch 0:3.5.0.1-1.fc19 - ud
[ INFO  ] Yum Verify: 11/15: ovirt-engine-webadmin-portal.noarch 0:3.5.0.1-1.fc19 - ud
[ INFO  ] Yum Verify: 12/15: ovirt-engine-tools.noarch 0:3.5.0.1-1.fc19 - ud
[ INFO  ] Yum Verify: 13/15: ovirt-engine-restapi.noarch 0:3.5.0.1-1.fc19 - ud
[ INFO  ] Yum Verify: 14/15: ovirt-engine-userportal.noarch 0:3.5.0.1-1.fc19 - ud
[ INFO  ] Yum Verify: 15/15: ovirt-engine-backend.noarch 0:3.5.0.1-1.fc19 - ud
[ INFO  ] Stage: Misc configuration
[ INFO  ] Backing up database localhost:engine to '/var/lib/ovirt-engine/backups/engine-20141023172509.IZf95c.dump'.
[ INFO  ] Creating/refreshing Engine database schema
[ INFO  ] Configuring WebSocket Proxy
[ INFO  ] Generating post install configuration file '/etc/ovirt-engine-setup.conf.d/20-setup-ovirt-post.conf'
[ INFO  ] Stage: Transaction commit
[ INFO  ] Stage: Closing up
         
          --== SUMMARY ==--
         
[WARNING] Warning: Not enough memory is available on the host. Minimum requirement is 4096MB, and 16384MB is recommended.
          SSH fingerprint: 00:04:B3:95:48:AF:D8:2D:78:11:D6:5B:A3:42:D4:0D
          Internal CA FE:62:CC:57:2B:B0:16:38:26:31:1B:C5:02:4C:B0:F7:11:09:4E:90
          Web access is enabled at:
              http://fedoraupgrade.home:80/ovirt-engine
              https://fedoraupgrade.home:443/ovirt-engine
         
          --== END OF SUMMARY ==--
         
[ INFO  ] Starting engine service
[ INFO  ] Restarting httpd
[ INFO  ] Stage: Clean up
          Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-setup-20141023162134-w5br9k.log
[ INFO  ] Generating answer file '/var/lib/ovirt-engine/setup/answers/20141023172551-setup.conf'
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ INFO  ] Execution of setup completed successfully



connected to fedoraupgrade.home:
Welcome to Open Virtualization Manager Version 3.5.0.1-1.fc20

Comment 2 Sandro Bonazzola 2014-10-23 15:44:31 UTC
Basic upgrade of Fedora 19 to Fedora 20 on the same version of oVirt 3.5 works.

Comment 3 Petr Kubica 2014-11-14 12:46:06 UTC
Test is OK with this steps

But manually setting postgresql config and updating the database could be annoying for users.

It should be automatic.
Petr

Comment 4 Sandro Bonazzola 2014-11-14 12:58:12 UTC
(In reply to Petr Kubica from comment #3)
> Test is OK with this steps
> 
> But manually setting postgresql config and updating the database could be
> annoying for users.
> 
> It should be automatic.
> Petr

I agree it's a bit annoying, but you'll end with that db upgrade procedure also if you're not using ovirt at all. So IMHO the db upgrade procedure should be handled on postgresql side, not ovirt.

Comment 5 Petr Kubica 2014-11-14 15:16:11 UTC
(In reply to Sandro Bonazzola from comment #4)
> (In reply to Petr Kubica from comment #3)
> > Test is OK with this steps
> > 
> > But manually setting postgresql config and updating the database could be
> > annoying for users.
> > 
> > It should be automatic.
> > Petr
> 
> I agree it's a bit annoying, but you'll end with that db upgrade procedure
> also if you're not using ovirt at all. So IMHO the db upgrade procedure
> should be handled on postgresql side, not ovirt.

I understand.

Comment 6 Sandro Bonazzola 2015-01-21 16:06:43 UTC
oVirt 3.5.1 has been released. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.